
package com.tmerclub.cloud.common.order.bo;

import com.tmerclub.cloud.common.order.vo.OrderSimpleAmountInfoBO;
import com.tmerclub.cloud.common.order.vo.ShopCartOrderMergerVO;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 订单支付成功通知
 * @author tmerclub
 * @date 2020/12/8
 */
public class PayNotifyBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    private List<Long> orderIds;

    private Integer payType;

    private Long payId;

    /**
     * 商家是否同意采购， 1.是 0.否
     */
    private Integer agreePurchase;

    /**
     * 商家钱包记录id列表
     */
    private List<Long> shopWalletIds;

    /**
     * 订单类型
     */
    private Integer orderType;

    /**
     * 商品预售类型
     */
    private Integer preSaleType;

    /**
     * 订单状态
     */
    private Integer orderStatus;

    /**
     * 是否为采购订单
     */
    private Boolean isPurchaseOrder;
    /**
     * 支付系统类型
     */
    private Integer paySysType;

    private List<OrderStatusBO> orderStatusList;

    private List<OrderSimpleAmountInfoBO> orderSimpleAmountInfos;
    private ShopCartOrderMergerVO shopCartOrderMergerVO;

    public ShopCartOrderMergerVO getShopCartOrderMergerVO() {
        return shopCartOrderMergerVO;
    }

    public void setShopCartOrderMergerVO(ShopCartOrderMergerVO shopCartOrderMergerVO) {
        this.shopCartOrderMergerVO = shopCartOrderMergerVO;
    }

    public Integer getPaySysType() {
        return paySysType;
    }

    public void setPaySysType(Integer paySysType) {
        this.paySysType = paySysType;
    }

    public Integer getAgreePurchase() {
        return agreePurchase;
    }

    public void setAgreePurchase(Integer agreePurchase) {
        this.agreePurchase = agreePurchase;
    }
    public PayNotifyBO() {
    }
    public PayNotifyBO(List<Long> orderIds, Integer payType, Long payId, Integer paySysType, ShopCartOrderMergerVO shopCartOrderMergerVO) {
        this.orderIds = orderIds;
        this.payType = payType;
        this.payId = payId;
        this.paySysType = paySysType;
        this.shopCartOrderMergerVO = shopCartOrderMergerVO;
    }

    public List<Long> getOrderIds() {
        return orderIds;
    }

    public void setOrderIds(List<Long> orderIds) {
        this.orderIds = orderIds;
    }

    public Integer getPayType() {
        return payType;
    }

    public void setPayType(Integer payType) {
        this.payType = payType;
    }

    public Long getPayId() {
        return payId;
    }

    public void setPayId(Long payId) {
        this.payId = payId;
    }

    public List<Long> getShopWalletIds() {
        return shopWalletIds;
    }

    public void setShopWalletIds(List<Long> shopWalletIds) {
        this.shopWalletIds = shopWalletIds;
    }

    public Integer getOrderType() {
        return orderType;
    }

    public void setOrderType(Integer orderType) {
        this.orderType = orderType;
    }

    public Boolean getPurchaseOrder() {
        return isPurchaseOrder;
    }

    public void setPurchaseOrder(Boolean purchaseOrder) {
        isPurchaseOrder = purchaseOrder;
    }

    public Integer getPreSaleType() {
        return preSaleType;
    }

    public void setPreSaleType(Integer preSaleType) {
        this.preSaleType = preSaleType;
    }

    public Integer getOrderStatus() {
        return orderStatus;
    }

    public void setOrderStatus(Integer orderStatus) {
        this.orderStatus = orderStatus;
    }

    public List<OrderStatusBO> getOrderStatusList() {
        return orderStatusList;
    }

    public void setOrderStatusList(List<OrderStatusBO> orderStatusList) {
        this.orderStatusList = orderStatusList;
    }

    public List<OrderSimpleAmountInfoBO> getOrderSimpleAmountInfos() {
        return orderSimpleAmountInfos;
    }

    public void setOrderSimpleAmountInfos(List<OrderSimpleAmountInfoBO> orderSimpleAmountInfos) {
        this.orderSimpleAmountInfos = orderSimpleAmountInfos;
    }

    @Override
    public String toString() {
        return "PayNotifyBO{" +
                "orderIds=" + orderIds +
                ", payType=" + payType +
                ", payId=" + payId +
                ", agreePurchase=" + agreePurchase +
                ", shopWalletIds=" + shopWalletIds +
                ", orderType=" + orderType +
                ", preSaleType=" + preSaleType +
                ", orderStatus=" + orderStatus +
                ", isPurchaseOrder=" + isPurchaseOrder +
                ", paySysType=" + paySysType +
                ", orderStatusList=" + orderStatusList +
                ", orderSimpleAmountInfos=" + orderSimpleAmountInfos +
                '}';
    }
}
